net.minecraft.block

## Class BlockRedstoneRepeater

- java.lang.Object
- - net.minecraft.block.Block
  - - net.minecraft.block.BlockDirectional
    - - net.minecraft.block.BlockRedstoneDiode
      - - net.minecraft.block.BlockRedstoneRepeater

-     public class BlockRedstoneRepeater
      extends BlockRedstoneDiode

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.block.Block

      `Block.SoundType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double[]` | `repeaterTorchOffset`

    - ### Fields inherited from class net.minecraft.block.BlockRedstoneDiode

      `isRepeaterPowered`

    - ### Fields inherited from class net.minecraft.block.Block

      `blockConstructorCalled, blockHardness, blockIcon, blockMaterial, blockParticleGravity, blockRegistry, blockResistance, canBlockGrass, capturedDrops, captureDrops, enableStats, harvesters, isBlockContainer, lightOpacity, lightValue, maxX, maxY, maxZ, minX, minY, minZ, needsRandomTick, opaque, slipperiness, soundTypeAnvil, soundTypeCloth, soundTypeGlass, soundTypeGrass, soundTypeGravel, soundTypeLadder, soundTypeMetal, soundTypePiston, soundTypeSand, soundTypeSnow, soundTypeStone, soundTypeWood, stepSound, textureName, useNeighborBrightness`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BlockRedstoneRepeater(boolean p_i45424_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `breakBlock(World p_149749_1_, int p_149749_2_, int p_149749_3_, int p_149749_4_, Block p_149749_5_, int p_149749_6_)`
    `protected int` | `func_149901_b(int p_149901_1_)`
    `protected boolean` | `func_149908_a(Block p_149908_1_)`
    `boolean` | `func_149910_g(IBlockAccess p_149910_1_, int p_149910_2_, int p_149910_3_, int p_149910_4_, int p_149910_5_)`
    `protected BlockRedstoneDiode` | `getBlockPowered()`
    `protected BlockRedstoneDiode` | `getBlockUnpowered()`
    `Item` | `getItem(World p_149694_1_, int p_149694_2_, int p_149694_3_, int p_149694_4_)`
    `Item` | `getItemDropped(int p_149650_1_, java.util.Random p_149650_2_, int p_149650_3_)`
    `int` | `getRenderType()`
    `boolean` | `onBlockActivated(World p_149727_1_, int p_149727_2_, int p_149727_3_, int p_149727_4_, EntityPlayer p_149727_5_, int p_149727_6_, float p_149727_7_, float p_149727_8_, float p_149727_9_)`
    `void` | `randomDisplayTick(World p_149734_1_, int p_149734_2_, int p_149734_3_, int p_149734_4_, java.util.Random p_149734_5_)`

    - ### Methods inherited from class net.minecraft.block.BlockRedstoneDiode

      `canBlockStay, canPlaceBlockAt, canProvidePower, func_149897_b, func_149899_k, func_149902_h, func_149904_f, func_149905_c, func_149907_e, func_149911_e, func_149912_i, func_149913_i, getIcon, getInputStrength, isAssociatedBlock, isGettingInput, isOpaqueCube, isProvidingStrongPower, isProvidingWeakPower, isRedstoneRepeaterBlockID, onBlockAdded, onBlockDestroyedByPlayer, onBlockPlacedBy, onNeighborBlockChange, renderAsNormalBlock, shouldSideBeRendered, updateTick`

    - ### Methods inherited from class net.minecraft.block.BlockDirectional

      `getDirection`

    - ### Methods inherited from class net.minecraft.block.Block

      `addCollisionBoxesToList, addDestroyEffects, addHitEffects, beginLeavesDecay, canBeReplacedByLeaves, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canPlaceBlockOnSide, canPlaceTorchOnTop, canRenderInPass, canReplace, canSilkHarvest, canSilkHarvest, canSustainLeaves, canSustainPlant, captureDrops, collisionRayTrace, colorMultiplier, createStackedBlock, createTileEntity, damageDropped, disableStats, dropBlockAsItem, dropBlockAsItem, dropBlockAsItemWithChance, dropXpOnBlockBreak, fillWithRain, func_149698_L, func_149730_j, func_149735_b, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockById, getBlockColor, getBlockFromItem, getBlockFromName, getBlockHardness, getBlocksMovement, getBlockTextureFromSide, getCanBlockGrass, getCollisionBoundingBoxFromPool, getComparatorInputOverride, getCreativeTabToDisplayOn, getDamageValue, getDrops, getEnableStats, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getHarvestLevel, getHarvestTool, getIcon, getIdFromBlock, getItemIconName, getLightOpacity, getLightOpacity, getLightValue, getLightValue, getLocalizedName, getMapColor, getMaterial, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getSelectedBoundingBoxFromPool, getSubBlocks, getTextureName, getTickRandomly, getUnlocalizedName, getUseNeighborBrightness, getValidRotations, getWeakChanges, harvestBlock, hasComparatorInputOverride, hasTileEntity, hasTileEntity, isAir, isBeaconBase, isBed, isBedFoot, isBlockNormalCube, isBlockSolid, isBurning, isCollidable, isEqualTo, isFertile, isFireSource, isFlammable, isFlowerPot, isFoliage, isLadder, isLeaves, isNormalCube, isNormalCube, isReplaceable, isReplaceableOreGen, isSideSolid, isToolEffective, isWood, onBlockClicked, onBlockDestroyedByExplosion, onBlockEventReceived, onBlockExploded, onBlockHarvested, onBlockPlaced, onBlockPreDestroy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onNeighborChange, onPlantGrow, onPostBlockPlaced, quantityDropped, quantityDropped, quantityDroppedWithBonus, recolourBlock, registerBlockIcons, registerBlocks, removedByPlayer, rotateBlock, setBedOccupied, setBlockBounds, setBlockBoundsBasedOnState, setBlockBoundsForItemRender, setBlockName, setBlockTextureName, setBlockUnbreakable, setCreativeTab, setHardness, setHarvestLevel, setHarvestLevel, setLightLevel, setLightOpacity, setResistance, setStepSound, setTickRandomly, shouldCheckWeakPower, tickRate, velocityToAddToEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### repeaterTorchOffset

          public static final double[] repeaterTorchOffset

  - ### Constructor Detail

    - #### BlockRedstoneRepeater

          protected BlockRedstoneRepeater(boolean p_i45424_1_)

  - ### Method Detail

    - #### onBlockActivated

          public boolean onBlockActivated(World p_149727_1_,
                                 int p_149727_2_,
                                 int p_149727_3_,
                                 int p_149727_4_,
                                 EntityPlayer p_149727_5_,
                                 int p_149727_6_,
                                 float p_149727_7_,
                                 float p_149727_8_,
                                 float p_149727_9_)

      Overrides:
        `onBlockActivated` in class `Block`

    - #### func_149901_b

          protected int func_149901_b(int p_149901_1_)

      Specified by:
        `func_149901_b` in class `BlockRedstoneDiode`

    - #### getBlockPowered

          protected BlockRedstoneDiode getBlockPowered()

      Specified by:
        `getBlockPowered` in class `BlockRedstoneDiode`

    - #### getBlockUnpowered

          protected BlockRedstoneDiode getBlockUnpowered()

      Specified by:
        `getBlockUnpowered` in class `BlockRedstoneDiode`

    - #### getItemDropped

          public Item getItemDropped(int p_149650_1_,
                            java.util.Random p_149650_2_,
                            int p_149650_3_)

      Overrides:
        `getItemDropped` in class `Block`

    - #### getItem

          public Item getItem(World p_149694_1_,
                     int p_149694_2_,
                     int p_149694_3_,
                     int p_149694_4_)

      Overrides:
        `getItem` in class `Block`

    - #### getRenderType

          public int getRenderType()

      Overrides:
        `getRenderType` in class `BlockRedstoneDiode`

    - #### func_149910_g

          public boolean func_149910_g(IBlockAccess p_149910_1_,
                              int p_149910_2_,
                              int p_149910_3_,
                              int p_149910_4_,
                              int p_149910_5_)

      Overrides:
        `func_149910_g` in class `BlockRedstoneDiode`

    - #### func_149908_a

          protected boolean func_149908_a(Block p_149908_1_)

      Overrides:
        `func_149908_a` in class `BlockRedstoneDiode`

    - #### breakBlock

          public void breakBlock(World p_149749_1_,
                        int p_149749_2_,
                        int p_149749_3_,
                        int p_149749_4_,
                        Block p_149749_5_,
                        int p_149749_6_)

      Overrides:
        `breakBlock` in class `Block`

    - #### randomDisplayTick

          public void randomDisplayTick(World p_149734_1_,
                               int p_149734_2_,
                               int p_149734_3_,
                               int p_149734_4_,
                               java.util.Random p_149734_5_)

      Overrides:
        `randomDisplayTick` in class `Block`